<?
require_once('include/global.php');
require_once('include/diary_lib.php');
require_once('sadmin_conf.inc.php');


// check
	if (!$_GET['di_no'] || !$_POST['di_subject'] || !$_POST['di_content'] || !$_POST['di_startdate'] || !$_POST['di_enddate'] || !$G_SYS['DI_REPEAT'][$_POST['di_repeat']])
		msg('올바른 URL로 접근하여 주십시오');

	if ($_POST['di_content'] && ! in_array($_POST['di_content'], array('기념일', '공휴일'))) {
		msg('올바른 URL로 접근하여 주십시오');
	}

// data
	$_POST['di_modifydate'] = date('Y-m-d H:i:s');

	$_POST['di_subject'] = to_db_str($_POST['di_subject'], 255);

	$sql = "
		UPDATE
			" . $TB['DIARY'] . "
		SET
			di_subject='" . $_POST['di_subject'] . "',
			di_content='" . $_POST['di_content'] . "',
			di_startdate='" . $_POST['di_startdate'] . "',
			di_enddate='" . $_POST['di_enddate'] . "',
			di_repeat='" . $_POST['di_repeat'] . "',
			di_modifydate='" . $_POST['di_modifydate'] . "'
		WHERE
			di_no='" . $_GET['di_no'] . "'
			AND d_no is null and m_no=0
		";
	db_query($sql);

// end
	msg("공휴일 일정이 수정되었습니다.", 0);
	movepage('sadmin_holiday_list.php?'.get_qs('di_no'));

require_once('include/global_end.php');
?>